AssetFiltersOperations Class

Warning

DO NOT instantiate this class directly.

Instead, you should access the following operations through

AzureMediaServices's

<xref:asset_filters> attribute.

Inheritance
builtins.object
AssetFiltersOperations

Constructor

AssetFiltersOperations(*args, **kwargs)

Methods

create_or_update

Create or update an Asset Filter.

Creates or updates an Asset Filter associated with the specified Asset.

delete

Delete an Asset Filter.

Deletes an Asset Filter associated with the specified Asset.

get

Get an Asset Filter.

Get the details of an Asset Filter associated with the specified Asset.

list

List Asset Filters.

List Asset Filters associated with the specified Asset.

update

Update an Asset Filter.

Updates an existing Asset Filter associated with the specified Asset.

create_or_update

Create or update an Asset Filter.

Creates or updates an Asset Filter associated with the specified Asset.

async create_or_update(resource_group_name: str, account_name: str, asset_name: str, filter_name: str, parameters: azure.mgmt.media.models._models_py3.AssetFilter, **kwargs: Any) -> azure.mgmt.media.models._models_py3.AssetFilter

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

filter_name
str
Required

The Asset Filter name.

parameters
AssetFilter
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

AssetFilter, or the result of cls(response)

Return type

Exceptions

delete

Delete an Asset Filter.

Deletes an Asset Filter associated with the specified Asset.

async delete(resource_group_name: str, account_name: str, asset_name: str, filter_name: str, **kwargs: Any) -> None

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

filter_name
str
Required

The Asset Filter name.

cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

get

Get an Asset Filter.

Get the details of an Asset Filter associated with the specified Asset.

async get(resource_group_name: str, account_name: str, asset_name: str, filter_name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.AssetFilter

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

filter_name
str
Required

The Asset Filter name.

cls
callable

A custom type or function that will be passed the direct response

Returns

AssetFilter, or the result of cls(response)

Return type

Exceptions

list

List Asset Filters.

List Asset Filters associated with the specified Asset.

list(resource_group_name: str, account_name: str, asset_name: str, **kwargs: Any) -> AsyncIterable[azure.mgmt.media.models._models_py3.AssetFilterCollection]

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either AssetFilterCollection or the result of cls(response)

Return type

Exceptions

update

Update an Asset Filter.

Updates an existing Asset Filter associated with the specified Asset.

async update(resource_group_name: str, account_name: str, asset_name: str, filter_name: str, parameters: azure.mgmt.media.models._models_py3.AssetFilter, **kwargs: Any) -> azure.mgmt.media.models._models_py3.AssetFilter

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

filter_name
str
Required

The Asset Filter name.

parameters
AssetFilter
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

AssetFilter, or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.media.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\media\\models\\__init__.py'>